package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.AddOnDept;

/**
 * 部门附加Mapper接口
 *
 * @author tom
 * @date 2024-12-13
 */
public interface AddOnDeptMapper {
    /**
     * 查询部门附加
     *
     * @param deptId 部门附加主键
     * @return 部门附加
     */
    public AddOnDept selectAddOnDeptByDeptId(Long deptId);

    /**
     * 查询部门附加列表
     *
     * @param addOnDept 部门附加
     * @return 部门附加集合
     */
    public List<AddOnDept> selectAddOnDeptList(AddOnDept addOnDept);

    /**
     * 新增部门附加
     *
     * @param addOnDept 部门附加
     * @return 结果
     */
    public int insertAddOnDept(AddOnDept addOnDept);

    /**
     * 修改部门附加
     *
     * @param addOnDept 部门附加
     * @return 结果
     */
    public int updateAddOnDept(AddOnDept addOnDept);

    /**
     * 删除部门附加
     *
     * @param deptId 部门附加主键
     * @return 结果
     */
    public int deleteAddOnDeptByDeptId(Long deptId);

    /**
     * 批量删除部门附加
     *
     * @param deptIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAddOnDeptByDeptIds(Long[] deptIds);
}
